Groovy Documentation

## org.codehaus.groovy.ast
[Java] Class PackageNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.PackageNode

    public class PackageNode
    extends AnnotatedNode

Represents a package in the AST.

Authors:
  Paul King

Constructor Summary
`PackageNode(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getText()` @return the text display of this package definition
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PackageNode

    public PackageNode(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getText

    public java.lang.String getText()

  Returns:
    the text display of this package definition

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation